Zum Inhalt springen

Anwendungs-API

Die Anwendungs-API verwaltet die Pushwoosh-Anwendungen in Ihrem Konto. Verwenden Sie sie, um Anwendungen zu erstellen, zu aktualisieren, zu löschen und aufzulisten, ihre Konfigurationsdateien herunterzuladen und Plattformen zu aktivieren oder zu deaktivieren. Um nach dem Erstellen einer Anwendung die Plattform-Anmeldedaten festzulegen, verwenden Sie die App-Konfigurations-API.

createApplication

Anchor link to

POST https://api.pushwoosh.com/json/1.3/createApplication

Erstellt eine neue Anwendung im Konto.

Anfragekörper

Anchor link to
NameTypBeschreibung
authorize_all_tokensbooleanErmöglicht allen API-Tokens, mit dieser App zu kommunizieren.
auth*stringAPI-Zugriffstoken aus dem Pushwoosh Control Panel.
iconstringBase64-kodierter binärer Inhalt einer PNG-Datei.
sdk_iosstringiOS-SDK-Typ. Mögliche Werte: “pw” oder “corona”. Für Corona ist die Push-Payload anders.
sdk_androidstringAndroid-SDK-Typ. Mögliche Werte: “pw”, “corona”, “phonegap”. AppPresser-Benutzer wählen “phonegap”.
title*stringTitel für die neue App in Pushwoosh.

Beispielantwort:

{
"status_code": 200,
"status_message": "OK",
"response": {
"application": "1DC69-73EDB"
}
}

Beispielcode:

{
"request": {
"auth": "yxoPUlwqm…………pIyEX4H", // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
"icon": "iVBORw0KGgoAAAANSUhEUgAAA...", // optional. Base64-kodierter binärer Inhalt einer PNG-Datei
"authorize_all_tokens": true, // optional. Wenn true, erlaubt es allen API-Tokens, mit dieser App zu kommunizieren
"sdk_ios": "pw", // optional. Mögliche Werte sind "pw" oder "corona"
"sdk_android": "pw", // optional. Mögliche Werte sind "pw", "corona" oder "phonegap"
"title": "APP_TITLE" // erforderlich. Titel für die neue App in Pushwoosh
}
}

updateApplication

Anchor link to

POST https://api.pushwoosh.com/json/1.3/updateApplication

Aktualisiert die Anwendungseinstellungen.

Anfragekörper

Anchor link to
NameTypBeschreibung
auth*stringAPI-Zugriffstoken aus dem Pushwoosh Control Panel.
application*stringPushwoosh-Anwendungscode
iconstringBase64-kodierter binärer Inhalt einer PNG-Datei.
sdk_iosstringiOS-SDK-Typ. Mögliche Werte: “pw” oder “corona”. Für Corona ist die Push-Payload anders.
sdk_androidstringAndroid-SDK-Typ. Mögliche Werte: “pw”, “corona”, “phonegap”. AppPresser-Benutzer wählen “phonegap”.
titlestringNeuer Titel für die App in Pushwoosh.
{
"status_code": 200,
"status_message": "OK",
"response": null
}
Beispiel
{
"request": {
"auth": "yxoPUlwqm…………pIyEX4H", // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
"application": "XXXXX-XXXXX", // erforderlich. Anwendungscode der App, die Sie aktualisieren möchten
"icon": "iVBORw0KGgoAAAANSUD6...", // optional. Base64-kodierter binärer Inhalt einer PNG-Datei
"sdk_ios": "pw", // optional. Mögliche Werte sind "pw" oder "corona"
"sdk_android": "pw", // optional. Mögliche Werte sind "pw", "corona" oder "phonegap"
"title": "APP_TITLE" // optional. Neuer Titel für die App in Pushwoosh
}
}

deleteApplication

Anchor link to

POST https://api.pushwoosh.com/json/1.3/deleteApplication

Löscht die App aus dem Konto.

Anfragekörper

Anchor link to
NameTypBeschreibung
auth*stringAPI-Zugriffstoken aus dem Pushwoosh Control Panel.
application*stringPushwoosh-Anwendungscode
{
"status_code": 200,
"status_message": "OK",
"response": null
}
Beispiel
{
"request": {
"auth": "yxoPUlwqm…………pIyEX4H", // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
"application": "XXXXX-XXXXX" // erforderlich. Pushwoosh-Anwendungscode
}
}

getApplication

Anchor link to

POST https://api.pushwoosh.com/json/1.3/getApplication

Ruft Details zur App ab.

Anfragekörper

Anchor link to
NameTypBeschreibung
auth*stringAPI-Zugriffstoken aus dem Pushwoosh Control Panel.
application*stringPushwoosh-Anwendungscode
{
"status_code": 200,
"status_message": "OK",
"response": {
"application": {
"adm_cid": "",
"adm_secret": "",
"android_api_type": "x31",
"android_gcm_api_key": "x7836363631366236353566366236353739",
"android_sdk": "x7077",
"icon_url": null,
"ios_gateway": "x783330",
"ios_key_management_type": "x783631373537343666",
"ios_key_password": "x7836353336363236353335333736353333",
"ios_sdk": "x7077",
"title": "0 Application For test",
"providers": {
"ios": true,
"amazon": false,
"android": false,
"chrome": false,
"email": false,
"firefox": false,
"huawei_android": false,
"internet_explorer": false,
"osx": false,
"safari": false,
"sms": false,
"web": false,
"whats_app": false,
"windows": false
},
"languages": {
"en": "34",
"zh": "12",
"sv": "7",
"de": "6",
"pt": "6"
}
}
}
}
{
"request": {
"auth": "yxoPUlwqm…………pIyEX4H", // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
"application": "XXXXX-XXXXX" // erforderlich. Pushwoosh-Anwendungscode
}
}

getApplications

Anchor link to

POST https://api.pushwoosh.com/json/1.3/getApplications

Ruft die Liste der Anwendungen im Konto ab. Kann das Ergebnis mit Paginierung zurückgeben.

Anfragekörper

Anchor link to
NameTypBeschreibung
auth*stringAPI-Zugriffstoken aus dem Pushwoosh Control Panel.
pageintegerDie Seitenzahl für die Paginierung.

Beispielanfrage

Anchor link to
{
"request": {
"auth": "yxoPUlwqm…………pIyEX4H", // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
"page": 2 // optional. Die Seitenzahl für die Paginierung
}
}

Wenn mehr als 100 Anwendungen im Konto vorhanden sind, enthält die Antwort die aktuelle Seite und die Gesamtanzahl der Seiten.

Beispielantwort

Anchor link to
{
"status_code": 200,
"status_message": "OK",
"response": {
"page": 1, // Aktuelle Seite
"total": 2, // Gesamtanzahl der Seiten
"applications": [{
"APPLICATION_CODE": "MyApp1"
}, {
"APPLICATION_CODE": "MyApp2"
}]
}
}

getApplicationFile

Anchor link to

POST https://api.pushwoosh.com/json/1.3/getApplicationFile

Ruft die Konfigurationsdateien ab, die zur App gehören.

Anfragekörper

Anchor link to
NameTypBeschreibung
auth*stringAPI-Zugriffstoken aus dem Pushwoosh Control Panel.
application*stringPushwoosh-Anwendungscode
file*stringKennung der abzurufenden Datei. Siehe Werte unten.
{
"status_code": 200,
"status_message": "OK",
"response": null
}
Beispiel
{
"request": {
"auth": "yxoPUlwqm…………pIyEX4H", // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
"application": "XXXXX-XXXXX", // erforderlich. Pushwoosh-Anwendungscode
"file": "ios_auto_privatekey" // erforderlich. Kennung der abzurufenden Datei. Siehe Werte unten
}
}

Mögliche Werte für den Parameter “file”:

Anchor link to

`“ios_auto_privatekey” | “ios_manual_privatekey” | “ios_auto_certificate” | “ios_manual_certificate” | “ios_push_certificate” | “ios_provisioning_profile” | “macos_manual_privatekey” | “macos_manual_certificate” | “macos_push_certificate” | “safari_manual_privatekey” | “safari_push_certificate” | “safari_push_package” |

Antwortbeispiel:

-----BEGIN CERTIFICATE-----
...
-----END CERTIFICATE-----
-----BEGIN RSA PRIVATE KEY-----
...
-----END RSA PRIVATE KEY-----

setApplicationPlatformStatus

Anchor link to

POST https://api.pushwoosh.com/json/1.3/setApplicationPlatformStatus

Ändert den Plattformstatus der App.

Anfragekörper

Anchor link to
NameTypBeschreibung
auth*stringAPI-Zugriffstoken aus dem Pushwoosh Control Panel.
application*stringPushwoosh-Anwendungscode
platform*integerDer Plattformtyp. Siehe die Liste der Plattformtypen unten.
status*string”enable” oder “disable”
{
"status_code": 200,
"status_message": "OK",
"response": {
"message": "iOS pushes are disabled",
"available_platforms": {
"iOS": false,
"Android": true,
"OS X": false,
"Windows": false,
"Amazon": false,
"Safari": false,
"Chrome": true,
"Firefox": false,
}
}
}
Beispiel
{
"request": {
"application": "XXXXX-XXXXX", // erforderlich. Pushwoosh-Anwendungscode
"auth": "yxoPUlwqm…………pIyEX4H", // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
"platform": 1, // erforderlich. 1 — iOS; 3 — Android; 7 — Mac OS X; 8 — Windows;
// 9 — Amazon; 10 — Safari; 11 — Chrome; 12 — Firefox;
"status": "disable" // erforderlich. "disable" oder "enable"
}
}